source ~/.bashrc
head=/dataG/assela/cpc
sync=/dataG/assela/sync
syncdrive=/dataG/assela/ftpupload/drive.ftpuploadsync.bash
## WRF
wrflogmax=10000 # howmany lines should the log file retain
wrfhead=$head/WRF
wrfbin=$wrfhead/bin
wrfwps=$wrfhead/WPS
wrfplt=$wrfhead/plotter
wrfwrf=$wrfhead/WRFV2/test/em_real
wrflog=$wrfhead/bin/wrf.log
wrftmplog=$wrfhead/bin/wrf.tmp.log
wrfmaxdoms=3
wrfdays=2 #number of days of simulation
wrfhours=0 #number of hours (beyond $wrfdays)  of simulation
wrfnumfiles=51 #(1*24/(3)+1)*3 (1*24/(timespcing))*#doms
wrfntimes=193 #number of output frames  24*(60/15) for 15min
wrfmaxtry=85000 #check for complete output for <24h
wrfmaxhistory=1000 # days for which  results (graphics) will be kept. 
wrfdrivelog=$wrfbin/drive.log
#wrf debugging aids
DOERASE=1 # if 1 erase old wfs output in wps directory
DOMODEL=1 # if 1 run wrf model
DOPREPROC=1 # if 1do the pre-processing part (WPS)
DOPLOT=1    # if 1 do the plots
DOCON=1     # if 1 do the conversion to png->gif
wrfsleep=100 # normal runs shold have this  at about 100
wrfnsleepsformodel=25 #how many times wrfsleep to wait for wrf output
## GFS download related
gfshead=$head/ds0832
gfsdownloadmasterlog=$gfshead/download-gfs-master.log
GFSORIGDATA=/export/dataG/assela//HEAVY-DISPOSIBLES/grib/
GFSDONE=COMPLETED.DOWNLOAD # ./extra.auto.get.bash will use
# the above as COMPLETED.DOWNLOAD.{date}.{hr} to write a logentry to gfsdownloadmasterlog  e.g. COMPLETED.DOWNLOAD.20070915.06
simlength=51
simstep=3
DATAROOT=$gfsdownloadhead
## end GFS download 
cpchead=$head/cpcplot
gfashead=$head/gfas-plot
BIN=$head/../bin
date_shift=$BIN'/dateshift'
dateshift=$date_shift
random=$BIN'/random.bash'
FILLZEROS=$BIN'/fillzeros'
fillzeros=$FILLZEROS
GMT=/usr/local/GMT/GMT4.1.1/bin/
unzip=/usr/bin/unzip
montage=/usr/loca/bin/montage #imagemagick
convert=/usr//local/bin/convert #imagemagick
passwdfolder=/dataG/assela/.passwd/
CRONROOT=/dataG/assela/.cron/
CRONLOG=$CRONROOT/log
superhead=$head/..
gifs=/usr/local/bin/gifsicle


