#!/bin/bash
. /dataG/assela/cpc/CONSTANTS.bash
today=`date +%Y%m%d` 
sdir=${cpchead}/results
cd $sdir
files=`ls SRI_LANKA.CPC.*.png`
hashp="`cat ${passwdfolder}/hash`"
rm -f `find . -mtime +2 -name 'SRI*.png'`
cd $sync/cpc-images
date=$today
cmd="$date$hashp"
hash=`echo $cmd |sha1sum`
hash=${hash:7:7}
echo $hash
ct=0
for item in $files; do
  if [ ! -f $hash.SL_${ct}.png ]; then 
    cp  $sdir/$item $hash.SL_${ct}.png  
  fi
  ((ct++))
done
#clean unnecessary files
${head}/clean.bash
#now create a summery file with filename to be safe, make this for today, tomorrow and yesterday 
#for date in $today ;do #$tomorrow $yesterday; do 
date=$today
cmd=$date$hashp
hash=`echo $cmd |sha1sum`
hash=${hash:7:7}
echo $hash
#c74ba8c.SL_2.png
ls $hash.SL_?.png > $sync/cpc/files.txt
cat $sync/cpc/files.txt|awk '{print "<a href=./" $1 ">" $1"<a>"}'> $sync/cpc/files.html
#200605311800_54_200605291200-44f7cf5.png
rm -f $sync/cpc/files.php
cat $sync/cpc/files.txt|sed 's/\.png//g'|awk 'BEGIN{FS="_";print "<?php";}{print "$files[\"" $2 "\"]=\"" $0 ".png\";"}END{print "?>"}' >> $sync/cpc/files.php

#hashagain.local.bash
echo $hash
#get the new php list file
#copy the php list file
#now make small images for those images newly downloaded this time.
for file in `ls ???????.SL_?.png`; do
  echo "------------- Doing $file.."
  if [ ! -f small.$file ]; then
    $convert  $file -resize 400x400 small.$file
  fi
  if [ ! -f tiny.$file ]; then
    $convert  $file -resize 200x200 tiny.$file
  fi
done
etime=`date +%s`
echo $etime $stime |awk '{print "Time elapsed: " $1-$2 " s."}'
# #now compress the whole lot of images
#  $jar cvf files.jar *.png


